Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class AsciiReportRenderer

    java.lang.Object
      org.gradle.api.tasks.diagnostics.TextProjectReportRenderer
          org.gradle.api.tasks.diagnostics.AsciiReportRenderer

All Implemented Interfaces:
  DependencyReportRenderer, ProjectReportRenderer

    public class AsciiReportRenderer

extends TextProjectReportRenderer
implements DependencyReportRenderer

Simple dependency graph renderer that emits an ASCII tree.

Field Summary

Fields inherited from class org.gradle.api.tasks.diagnostics.TextProjectReportRenderer
`SEPARATOR`

Constructor Summary
`AsciiReportRenderer()`
`AsciiReportRenderer(java.lang.Appendable writer)`

Method Summary
`void` | `completeConfiguration(Configuration configuration)` Completes the rendering of the given configuration.
`void` | `completeProject(Project project)` Completes visiting a project.
`void` | `render(ResolvedConfiguration resolvedConfiguration)` Writes the given dependency graph for the current configuration.
`void` | `startConfiguration(Configuration configuration)` Starts rendering the given configuration.
`void` | `startProject(Project project)` Starts visiting a project.

Methods inherited from class org.gradle.api.tasks.diagnostics.TextProjectReportRenderer
`complete, getFormatter, getWriter, setOutputFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gradle.api.tasks.diagnostics.ProjectReportRenderer
`complete, setOutputFile`

Constructor Detail

### AsciiReportRenderer

    public AsciiReportRenderer()

### AsciiReportRenderer

    public AsciiReportRenderer(java.lang.Appendable writer)

Method Detail

### startProject

    public void startProject(Project project)

  Description copied from interface: `ProjectReportRenderer`
  Starts visiting a project.

  Specified by:
    `startProject` in interface `ProjectReportRenderer`
  Overrides:
    `startProject` in class `TextProjectReportRenderer`
  Parameters:
    `project` - The project, never null.

### completeProject

    public void completeProject(Project project)

  Description copied from interface: `ProjectReportRenderer`
  Completes visiting a project.

  Specified by:
    `completeProject` in interface `ProjectReportRenderer`
  Overrides:
    `completeProject` in class `TextProjectReportRenderer`
  Parameters:
    `project` - The project, never null.

### startConfiguration

    public void startConfiguration(Configuration configuration)

  Description copied from interface: `DependencyReportRenderer`
  Starts rendering the given configuration.

  Specified by:
    `startConfiguration` in interface `DependencyReportRenderer`
  Parameters:
    `configuration` - The configuration.

### completeConfiguration

    public void completeConfiguration(Configuration configuration)

  Description copied from interface: `DependencyReportRenderer`
  Completes the rendering of the given configuration.

  Specified by:
    `completeConfiguration` in interface `DependencyReportRenderer`
  Parameters:
    `configuration` - The configuration

### render

    public void render(ResolvedConfiguration resolvedConfiguration)
                throws java.io.IOException

  Description copied from interface: `DependencyReportRenderer`
  Writes the given dependency graph for the current configuration.

  Specified by:
    `render` in interface `DependencyReportRenderer`
  Parameters:
    `resolvedConfiguration` - The resolved configuration.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD